#include <stdio.h>
#include <stdlib.h>

int main(int argc, char* argv[])
{
	int n = 42;
	int* tab = (int*)malloc(n*sizeof(int));
	int i = 0;

	for (i = 0; i < 42; i++)
	{
		*(tab+i) = 0; // tab[i] = 0;
	}

	free(tab);

	return 0;
}
